Subject: bug#4090: Bug#541704: emacs-snapshot ruins w3m-el-snapshot tables

From: Kenichi Handa <[email-masked]>
Date: Tue, 18 Aug 2009 11:02:39 +0900

In article <[email-masked]>, [email-masked] writes:

> LC_ALL=zh_TW.UTF-8 emacs-snapshot -f w3m $@ # bad
> LC_ALL=C           emacs-snapshot -f w3m $@ # good
> LC_ALL=zh_TW.UTF-8 emacs23        -f w3m $@ # good
> LC_ALL=C           emacs23        -f w3m $@ # good

> One sees that these characters,
>  • │ ┌ ┐ └ ┘ ├ ┤ ┬ ┴ ┼
> vanish in the above "bad" case.

> I.e.,
> ┌───┐
> │bla│
> └───┘
> becomes
> ─
> bla
> ─

In the trunk of CVS, I added CJK fonts for those box-drawing
characters in the default fontset.  So, in CJK environment,
CJK fonts are preferred.  Perhaps, the selected CJK font
claims that it has glyphs for those characters, but actually
doesn't contain valid glyphs.  I think those vanishing
characters has at least 1 dot width of space.  Please put
cursor on one of them and type C-u C-x = to check which font
is selected for it.

---
Kenichi Handa
[email-masked]